package com.innoq.procurement;

import com.sun.net.httpserver.HttpHandler;
import com.sun.net.httpserver.HttpServer;
import com.sun.ws.rest.api.container.ContainerFactory;
import com.sun.ws.rest.api.container.httpserver.HttpServerFactory;
import com.innoq.procurement.resources.CustomerResource;
import com.innoq.procurement.resources.CustomersResource;

import java.io.IOException;
import java.net.InetSocketAddress;

public class Procurement3 {

    public static void main(String[] args) throws IOException {
        /*
        HttpServer server = HttpServer.create(new InetSocketAddress(9998), 0);
        server.createContext("/procurement",
                ContainerFactory.createContainer(HttpHandler.class,
                CustomersResource.class));
        server.setExecutor(null);
        server.start();
        */
        HttpServer server = HttpServerFactory.create("http://localhost:9998/");
        server.start();System.out.println("Server P3 running");
        System.out.println("Visit: http://localhost:9998/procurement/{orders|customers}");
        System.out.println("Hit return to stop...");
        System.in.read();
        System.out.println("Stopping server");
        server.stop(0);
        System.out.println("Server stopped");
    }

    private static HttpHandler createHandlerFor(Class clazz) {
        return ContainerFactory.createContainer(
                HttpHandler.class,
                clazz);
    }
}
